Package org.apache.sling.commons.content.analyzing

## Interface ContentAnalyzer

    @ProviderType
    public interface ContentAnalyzer

Service for analyzing content.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull CompletableFuture<Void>` `analyze​(@NotNull InputStream input, @Nullable Map<String,​Object> parameters, @NotNull Map<String,​Object> report)` Analyzes the given content.

### Method Detail

#### analyze

    @NotNull
    @NotNull CompletableFuture<Void> analyze​(@NotNull
                                             @NotNull InputStream input,
                                             @Nullable
                                             @Nullable Map<String,​Object> parameters,
                                             @NotNull
                                             @NotNull Map<String,​Object> report)

Analyzes the given content.

Parameters:
  `input` - the stream from which the content is read for analyzing
  `parameters` - the parameters for the analyzing operation
  `report` - the report to which the findings of the analyzing operation are added
Returns:
  `CompletableFuture` for signaling completion